POST SavedCard (cloned)
Important notes:
- patientId is the field needed to tie the Patient in FeatherPay DB to the PMS Patient. This ID represents FeatherPay's ID for that patient. This is returned when creating / updating a patient via FeatherPay API.
Create / Update patient
From your backend code, create / update the patient with your store id and private key.
POST
https://gfp-api.acdev.io/api/v1/savedpayments/card
Body Parameters
- patientIdstringrequiredDescription
- ephemerialTokenstringrequiredDescription
- expirystringrequiredDescription
- postalstringrequiredDescription
- cardTypestringDescription
json
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/patients/' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
{
"patientId": "307",
"ephemeralToken": "<token from JS Library>",
"expiry": "04/27",
"postal": "30030",
"cardType": "Visa"
}'200
{
"savedPaymentId":"01GQSVMZH59XSSXFXKNBZNW6PY"
}